/* errtst.c -- errgen test program

	THIS SOFTWARE FITS THE DESCRIPTION IN THE U.S. COPYRIGHT ACT OF A
	"UNITED STATES GOVERNMENT WORK".  IT WAS WRITTEN AS A PART OF THE
	AUTHOR'S OFFICIAL DUTIES AS A GOVERNMENT EMPLOYEE.  THIS MEANS IT
	CANNOT BE COPYRIGHTED.  THIS SOFTWARE IS FREELY AVAILABLE TO THE
	PUBLIC FOR USE WITHOUT A COPYRIGHT NOTICE, AND THERE ARE NO
	RESTRICTIONS ON ITS USE, NOW OR SUBSEQUENTLY.

Author:
	S.M. Orlow
	Systex,Inc.
	Beltsville, MD 20705
	301-474-0111
	June, 1986

Contractor:
	K. E. Gorlen
	Bg. 12A, Rm. 2017
	Computer Systems Laboratory
	Division of Computer Research and Technology
	National Institutes of Health
	Bethesda, Maryland 20892
	Phone: (301) 496-5363
	uucp: uunet!nih-csl!kgorlen
	Internet: kgorlen@alw.nih.gov

Function:

$Log:	errtst.c,v $
 * Revision 3.11  92/05/23  13:55:03  sandy
 * enum ErrFac::severity_level
 * 
 * Revision 3.10  91/02/22  21:44:01  kgorlen
 * Release for 3rd printing of 1st edition.
 * 
 * Revision 3.0  90/05/15  22:37:03  kgorlen
 * Release for 1st edition.
 * 
*/

static const char rcsid[] = "$Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/errfac/RCS/errtst.c,v 3.11 92/05/23 13:55:03 sandy Exp $";

#include "errors.h"
#include "errlib.h"
#include "testerrs.h"

main() {
	NIHCL__errinit();

	seterror(NIHCL__FIRSTERROR,ErrFac::WARNING,0,"NONE");
	seterror(NIHCL__LAST_ERROR,ErrFac::FATAL,0,1,0);
}
