#ifndef QLINK_H
#define QLINK_H

// $Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/QLink.h,v 3.11 92/08/13 11:52:35 sandy Exp $

// QLink.h -- Link used by Vehicle queue LinkedLists

#ifndef MI
#define MI
#endif

#include <nihcl/Link.h>

class QLink: public Link {
    DECLARE_MEMBERS(QLink);
protected:
    QLink() {};
public:
    virtual int compare(const Object&) const = 0;
    virtual unsigned hash() const = 0;
    virtual bool isEqual(const Object&) const = 0;
    virtual void printOn(ostream& strm =cout) const = 0;
};

#endif
