/* Test class Class

	THIS SOFTWARE FITS THE DESCRIPTION IN THE U.S. COPYRIGHT ACT OF A
	"UNITED STATES GOVERNMENT WORK".  IT WAS WRITTEN AS A PART OF THE
	AUTHOR'S OFFICIAL DUTIES AS A GOVERNMENT EMPLOYEE.  THIS MEANS IT
	CANNOT BE COPYRIGHTED.  THIS SOFTWARE IS FREELY AVAILABLE TO THE
	PUBLIC FOR USE WITHOUT A COPYRIGHT NOTICE, AND THERE ARE NO
	RESTRICTIONS ON ITS USE, NOW OR SUBSEQUENTLY.

Author:
	K. E. Gorlen
	Bg. 12A, Rm. 2033
	Computer Systems Laboratory
	Division of Computer Research and Technology
	National Institutes of Health
	Bethesda, Maryland 20892
	Phone: (301) 496-1111
	uucp: uunet!nih-csl!kgorlen
	Internet:kgorlen@alw.nih.gov

Function:
	
Modification History:
	
$Log:	signature.c,v $
 * Revision 1.4  92/07/26  15:40:47  sandy
 * asSortedCltn().dumpOn() to make verification consitent
 * 
 * Revision 1.3  92/07/26  15:04:52  sandy
 * include directive in for '#include <nihcl/foo.h>'
 * 
 * Revision 1.2  92/05/01  17:07:46  sandy
 * test lazy evaluation of signature
 * 
 * Revision 3.10  91/02/18  21:42:09  kgorlen
 * Release for 3rd printing of 1st edition.
 * 
 * Revision 3.0  90/05/20  00:28:53  kgorlen
 * Release for 1st edition.
 * 
*/
static char rcsid[] = "$Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/test/RCS/signature.c,v 1.4 92/07/26 15:40:47 sandy Exp $";

#include <nihcl/Dictionary.h>
#include <nihcl/SortedCltn.h>

main()
{
	cout << "\nPrint Sorted Class Dictionary with "
             << Class::dictionary().size() << " Classes" << endl;
	cout << Class::dictionary().asSortedCltn() << endl;

	cout << "\nDump Class Dictionary with "
             << Class::dictionary().size() << " Classes" << endl;
	Class::dictionary().asSortedCltn().dumpOn(cout);
}
