#ifndef ALLLINK_H
#define ALLLINK_H

// $Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/AllLink.h,v 3.11 92/08/13 11:52:02 sandy Exp $

// AllLink.h -- Link used by AllVehicles LinkedList

#ifndef MI
#define MI
#endif

#include <nihcl/Link.h>

class AllLink: public Link {
    DECLARE_MEMBERS(AllLink);
protected:
    AllLink() {};
public:
    virtual int compare(const Object&) const = 0;
    virtual unsigned hash() const = 0;
    virtual bool isEqual(const Object&) const = 0;
    virtual void printOn(ostream& strm =cout) const = 0;
};

#endif
