#ifndef AMPHIBVHCL_H
#define AMPHIBVHCL_H

// $Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/AmphibVhcl.h,v 3.12 92/08/13 12:46:47 sandy Exp $

#ifndef MI
#define MI
#endif

#include "LandVhcl.h"
#include "WaterVhcl.h"

class AmphibVhcl: public LandVhcl, public WaterVhcl {
    DECLARE_MEMBERS(AmphibVhcl);
protected:      // storer() functions for object I/O
    virtual void storer(OIOofd&) const;
    virtual void storer(OIOout&) const;
    virtual void _printOn(ostream& strm =cout) const;
public:
    AmphibVhcl(float h, float l, float d, unsigned a =2)
        : Vehicle(h,l), LandVhcl(h,l,a), WaterVhcl(h,l,d) {}
    virtual void deepenShallowCopy();
#ifndef BUG_39
    virtual void printOn(ostream& strm =cout) const
      { Vehicle::printOn(strm); }
#endif
};

#endif
