// WaterVhcl.c -- Water Vehicle

#include "WaterVhcl.h"
#include <nihcl/nihclIO.h>

#define THIS    WaterVhcl
#define BASE    Vehicle
#define BASE_CLASSES BASE::desc()
#define MEMBER_CLASSES
#define VIRTUAL_BASE_CLASSES Vehicle::desc()

DEFINE_CLASS(WaterVhcl,1,"$Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/WaterVhcl.c,v 3.13 92/08/13 12:47:28 sandy Exp $",NULL);

void WaterVhcl::_printOn(ostream& strm) const
{
    Vehicle::_printOn(strm);
    strm << "  draft " << draft;
}

void WaterVhcl::deepenShallowCopy()
{
    Vehicle::deepenVBase();
}

WaterVhcl::WaterVhcl(OIOin& strm) :
    Object(strm),
    BASE(strm)
{
    strm >> draft;
}

void WaterVhcl::storer(OIOout& strm) const
{
    Vehicle::storeVBaseOn(strm);
    strm << draft;
}

WaterVhcl::WaterVhcl(OIOifd& fd) :
    Object(fd),
    BASE(fd)
{
    fd >> draft;
}

void WaterVhcl::storer(OIOofd& fd) const
{
    Vehicle::storeVBaseOn(fd);
    fd << draft;
}
