#ifndef WATERVHCL_H
#define WATERVHCL_H

// $Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/WaterVhcl.h,v 3.12 92/08/13 12:47:29 sandy Exp $

#ifndef MI
#define MI
#endif

#include "Vehicle.h"

class WaterVhcl: public virtual Vehicle {
    DECLARE_MEMBERS(WaterVhcl);
    float draft;
protected:      // storer() functions for object I/O
    virtual void storer(OIOofd&) const;
    virtual void storer(OIOout&) const;
    virtual void _printOn(ostream& strm =cout) const;
public:
    WaterVhcl(float h, float l, float d) : Vehicle(h,l)
      { draft = d; }
    virtual void deepenShallowCopy();
};

#endif
