// ex8-15.c -- Comparison of classes Dictionary and IdentDict

// $Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/ex8-15.c,v 3.11 92/08/13 11:59:56 sandy Exp $

#include <nihcl/Dictionary.h>
#include <nihcl/IdentDict.h>
#include <nihcl/LookupKey.h>
#include <nihcl/String.h>
#include <nihcl/SortedCltn.h>

main()
{
    String s1 = "A String";

    Dictionary d;
    d.addAssoc(s1,*new String("value associated with s1"));
    cout << "Dictionary:" << endl;
    LookupKey* lk = d.assocAt(String("A String"));
    if (lk) cout << *lk->value() << endl;
    else cout << "Not found" << endl;
    lk = d.assocAt(s1);
    if (lk) cout << *lk->value() << endl;
    else cout << "Not found" << endl;
    cout << endl;

    IdentDict i;
    i.addAssoc(s1,*new String("value associated with s1"));
    cout << "IdentDict:" << endl;
    lk = i.assocAt(String("A String"));
    if (lk) cout << *lk->value() << endl;
    else cout << "Not found" << endl;
    lk = i.assocAt(s1);
    if (lk) cout << *lk->value() << endl;
    else cout << "Not found" << endl;
}
