// ex8-2.c -- Use of an Iterator with container
//            for objects of unknown class

// $Header: /afs/alw.nih.gov/system/src/local/nihcl/311/share/ex/RCS/ex8-2.c,v 3.11 92/08/13 11:59:57 sandy Exp $

#include <nihcl/OrderedCltn.h>
#include <nihcl/Iterator.h>
#include <nihcl/String.h>

void listContainer(ostream& strm,Collection& cltn)
{
//  Iterator knows neither
//  the actual class of cltn nor    
//  the actual class of any Object in cltn
    Iterator it(cltn);    
    while (it++) strm << *it() << " ";    
}

main()
{
    OrderedCltn symbols;
    symbols.add(*new String("A"));
    symbols.add(*new String("C"));
    symbols.add(*new String("G"));
    symbols.add(*new String("T"));

    listContainer(cout,symbols);
    cout << endl;
}
